Subject: Re: bug#61736: Fix typos in docstrings in c-ts-common.el
From: Yuan Fu <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked],Daniel Martín <[email-masked]>
Date: Fri, 24 Feb 2023 20:50:48 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> Date: Thu, 23 Feb 2023 18:32:58 +0100
>> From:  Daniel Martín via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> I've attached a patch to fix a couple of typos in c-ts-common.el.
>
> Thanks.
>
>>  (defun c-ts-common-statement-offset (node parent &rest _)
>> -  "This anchor is used for children of a statement inside a block.
>> +  "Return an offset for children of a statement inside a block.
>
> Is the new text really accurate?  The rest of the doc string doesn'
> mention "offset" even once, and without explaining what kind of
> "offset" is this, the first sentence could mislead and confuse.
>
> So I think this part of the patch "needs more work".
>
> I installed the first part, thanks.

The second part is valid. I applied it with some minor change, thanks!

Yuan